#ifndef __DISPLAYTRACKS_H
#define __DISPLAYTRACKS_H

#include <vdr/skins.h>
#include "scroll.h"
#include "setup.h"

class cSkinElchiDisplayTracks : public cSkinDisplayTracks {
private:
    cOsd *osd;
    static cBitmap bmAudioLeft, bmAudioRight, bmAudioStereo, bmArrowDown, bmArrowUp;
    int x0, x1, x2, x3;
    int y0, y1, y2, y3, y4, y5;
    const cFont *font;
    const cFont *smallfont;
    int lh, lhh;
    int currentIndex;
    int index;
    int offset;
    int numTracks;
    bool noflush, changed, message;
    void SetItem(const char *Text, int Index, bool Current);
    cCharScroll MessageScroll;
public:
    cSkinElchiDisplayTracks(const char *Title, int NumTracks, const char * const *Tracks);
    virtual ~cSkinElchiDisplayTracks();
    virtual void SetTrack(int Index, const char * const *Tracks);
    virtual void SetAudioChannel(int AudioChannel);
    virtual void SetMessage(eMessageType Type, const char *Text);//it not defined in skins.h but is really called
    virtual void Flush(void);
    virtual int MaxItems(void);
    virtual void Clear(void);
    };
#endif //__DISPLAYTRACKS_H
